Skip to content

Search these docs, or ask Revo a question — answers link the pages they came from.

Get the active schedules in the system


GET
/api/v1/{tenantId}/system/active-schedules

Returns the active schedules

Plugin API access: this operation accepts a plugin JWT (PluginBearer) for its own tenant.

tenantId
required
string

OK

object
activeSchedules
Array<object>
nullable
object
status
string
Allowed values: unknown unstarted starting running completed paused aborted
scheduleName
string
nullable
scheduleId
string
nullable
scheduleThreadId
integer format: int64
startTime
integer format: int64
estimateState
string
Allowed values: Estimating Estimated Diverged Unavailable
estimatedRemainingSeconds
number format: double
nullable
estimatedFinishUtc
integer format: int64
nullable
estimateUpdatedUtc
integer format: int64
nullable
objects
Array<object>
nullable
object
objectName
string
nullable
scheduleThreadId
integer format: int64
threadName
string
nullable
isChildThread
boolean
entityId
string
nullable
barcode
string
nullable
labwareTypeId
string
nullable
labwareName
string
nullable
locationId
string
nullable
locationName
string
nullable
deviceName
string
nullable

Bad Request

object
message
string
nullable
code
string
nullable

Too Many Requests

object
message
string
nullable
code
string
nullable

Service Unavailable

object
message
string
nullable
code
string
nullable

Gateway Timeout

object
message
string
nullable
code
string
nullable